Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

content_type
enum<string>
required

The object type to retrieve comments for.

Available options:
datasetconfiguration,
report,
report_attitude
object_id
string<uuid>
required

The id of the object of content_type to retrieve comments for.

ordering
enum<string>

Which field to use when ordering the results.

Available options:
-created_at,
created_at
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

tag
string

The tag to filter results to (if any)

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"